<?php

/**
 * @file
 * Hooks related to Webform Product module.
 */

// phpcs:disable DrupalPractice.CodeAnalysis.VariableAnalysis.UnusedVariable

/**
 * @addtogroup hooks
 * @{
 */

function hook_webform_product_configuration_form_alter(WebformProductWebformHandler $handler, array &$form, FormStateInterface $form_state) {
  // Add additional form elements to the Webform Product Handler configuration form.
  $config = $handler->getConfiguration();
  // Add additional mapping for the billing profile
  // to the webform product handler configuration.
  if (isset($form['contact_mapping'])) {
    $field_types = ['date'];
    $form['contact_mapping']['birthdate'] = [
      '#type' => 'select',
      '#title' => t('Birthday'),
      '#options' => $handler->getElementsSelectOptions($field_types),
      '#default_value' => $config['settings']['birthdate'],
      '#empty_value' => '',
      '#description' => t('Field types allowed: @types.', ['@types' => implode(', ', $field_types)]),
    ];
  }
}

/**
 * Alter the default configuration of the Webform Product Handler Plugin.
 *
 * @param array $default_configuration
 *   The default configuration of the Webform Product Handler Plugin.
 */
function hook_webform_product_default_configuration_alter(array &$default_configuration) {
  // Add additional default configuration.
  $default_configuration['birthdate'] = NULL;
}
 /**
 * @} End of "addtogroup hooks".
 */
